#include <stdio.h>

int main(int argc, char *argv[]) {
	int m;
	int n;

	scanf("%d%d", &m, &n);

	int koristan_m;
	int koristan_n;

	koristan_m = m - 2;
	koristan_n = n - 2;

	int neparni = (koristan_m / 2) + (koristan_m % 2);
	int parni = koristan_m / 2;

	int neparnih = (koristan_n / 2) + (koristan_n % 2);
	int parnih = koristan_n / 2;

	printf("%d", m * n - (neparni * neparnih + parni * parnih));

	return 0;
}